=pod

=head1 NAME

openssl-version,
version - print OpenSSL version information

=head1 SYNOPSIS

B<openssl version>
[B<-a>]
[B<-v>]
[B<-b>]
[B<-o>]
[B<-f>]
[B<-p>]
[B<-d>]

=head1 DESCRIPTION

This command is used to print out version information about OpenSSL.

=head1 OPTIONS

=over 4

=item B<-a>

all information, this is the same as setting all the other flags.

=item B<-v>

the current OpenSSL version.

=item B<-b>

the date the current version of OpenSSL was built.

=item B<-o>

option information: various options set when the library was built.

=item B<-f>

compilation flags.

=item B<-p>

platform setting.

=item B<-d>

OPENSSLDIR setting.

=back

=head1 NOTES

The output of B<openssl version -a> would typically be used when sending
in a bug report.

=head1 HISTORY

The B<-d> option was added in OpenSSL 0.9.7.

=cut
